﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows.Media.Imaging;

namespace Data
{
    public class GameTemplates : ObservableCollection<Game>
    {
        public GameTemplates()
        {
            //
            // Monkey Island 1
            //
            this.Add(new Game
                         {
                             Name = "Monkey Island 1",
                             GameExe = "monkey.exe",
                             GameId = "monkey",
                             Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_monkey.jpg")),

                         });

            //
            // Monkey Island 2
            //
            this.Add(new Game
            {
                Name = "Monkey Island 2",
                GameExe = "monkey2.exe",
                GameId = "monkey2",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_monkey2.jpg")),
            });

            //
            // Beneath a Steel sky
            //
            this.Add(new Game
            {
                Name = "Beneath a steel sky",
                GameExe = "sky.dsk",
                GameId = "sky",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_beneath.png")),
            });

            //
            // DOTT
            //
            this.Add(new Game
            {
                Name = "Day of the Tentacle",
                GameExe = "tentacle.exe",
                GameId = "tentacle",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_dott.png")),
            });


            //
            // Flight of the amazon queen
            //
            this.Add(new Game
            {
                Name = "Flight of the amazon queen",
                GameExe = "queen.exe",
                GameId = "queen",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_flightofAQ.png")),
            });

            //
            // Indiana Jones 3
            //
            this.Add(new Game
            {
                Name = "Indiana Jones 3",
                GameExe = "indyvga.exe",
                GameId = "indy3",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_indi3.png")),
            });

            //
            // Indiana Jones 4
            //
            this.Add(new Game
            {
                Name = "Indiana Jones 4",
                GameExe = "atlantis.exe",
                GameId = "atlantis",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_indi4.png")),
            });

            //
            // Loom
            //
            this.Add(new Game
            {
                Name = "Loom",
                GameExe = "loomexe.exe",
                GameId = "loom",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_loom.jpg")),
            });

            //
            // Sam and max
            //
            this.Add(new Game
            {
                Name = "Sam and Max",
                GameExe = "samnmax.exe",
                GameId = "samnmax",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_samNmax.png")),
            });

            //
            // Simon the sorcerer
            //
            this.Add(new Game
            {
                Name = "Simon the sorcerer",
                GameExe = "simon.exe",
                GameId = "simon1",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_simon.png")),
            });

            //
            // Simon the sorcerer 2
            //
            this.Add(new Game
            {
                Name = "Simon the sorcerer 2",
                GameExe = "simon2.exe",
                GameId = "simon2",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_simon2.png")),
            });

            //
            // the dig
            //
            this.Add(new Game
            {
                Name = "The dig",
                GameExe = "dig.exe",
                GameId = "dig",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_dig.png")),
            });

            //
            // vollgas
            //
            this.Add(new Game
            {
                Name = "Vollgas",
                GameExe = "vollgas.exe",
                GameId = "ft",
                Image = new BitmapImage(new Uri(@"pack://application:,,,/Assets;component/Media/title_vollgas.png")),
            });

        }

        

    }
}
