﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Data;

namespace Controls
{
    /// <summary>
    /// 
    /// </summary>
    public class GameTile : Button
    {
        static GameTile()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(GameTile), new FrameworkPropertyMetadata(typeof(GameTile)));
        }

        public static readonly DependencyProperty GameProperty =
            DependencyProperty.Register("Game", typeof (Game), typeof (GameTile), new PropertyMetadata(default(Game)));

        public Game Game
        {
            get { return (Game) GetValue(GameProperty); }
            set { SetValue(GameProperty, value); }
        }
    }
}
